﻿using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace FeatureGuideCharp
{
    class _12_16
    {
        private String API_KEY = "your_api_key";
        private String API_URL = "https://sandbox.esignlive.com/api";
        public void Execute() {
            EslClient eslClient = new EslClient(API_KEY, API_URL);
                
            DocumentPackage newPackage = PackageBuilder.NewPackageNamed("Document Extraction + Optional Signature")
                  .WithSigner(SignerBuilder.NewSignerWithEmail("signer1@mailinator.com")
                          .WithFirstName("signer1 first name")
                          .WithLastName("signer1 second name")
                          .WithCustomId("Signer1"))
                  .WithDocument(DocumentBuilder.NewDocumentNamed("doc1")
                          .FromFile("your_file_path")
                          .EnableExtraction()
                          .WithExtractionType(ExtractionType.ACROFIELDS))
                  .Build();


            PackageId createPackageOneStep = eslClient.CreatePackageOneStep(newPackage);
            Debugger.Log(1, "Debug", "PackageId: " + createPackageOneStep + "\n");

        
        }

    }
}
